import { TypedDocumentNode } from "@graphql-typed-document-node/core";
export declare const makeDocument: <TResponseData, TRequestVariables>(query: string) => TypedDocumentNode<TResponseData, TRequestVariables>;
export declare const request: <TResponseData, TRequestVariables = {
    [key: string]: never;
}>(query: string | TypedDocumentNode<TResponseData, TRequestVariables>, variables?: TRequestVariables | undefined) => Promise<TResponseData>;
